import { IDesignItem } from '../../../item/IDesignItem.js';
import { IDesignerCanvas } from '../IDesignerCanvas.js';
import { AbstractExtension } from './AbstractExtension.js';
import { IExtensionManager } from './IExtensionManger.js';
export declare class ElementDragTitleExtension extends AbstractExtension {
    private _rect;
    private _clickRect;
    private _text;
    private _width;
    private _createTitleText;
    constructor(extensionManager: IExtensionManager, designerView: IDesignerCanvas, extendedItem: IDesignItem, createTitleText?: (designItem: IDesignItem) => string);
    extend(cache: Record<string | symbol, any>, event?: Event): void;
    _drawMoveOverlay(itemRect: DOMRect): void;
    refresh(cache: Record<string | symbol, any>, event?: Event): void;
    _pointerEvent(event: PointerEvent): void;
    dispose(): void;
}
